Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

squash jenkins failures

  • Loading branch information...
commit 9218eedca347f19c8e3a3bc051d88e22e045e32e 1 parent 4ef2df0
@mcdonc mcdonc authored
Showing with 3 additions and 30 deletions.
  1. +0 −1  setup.cfg
  2. +3 −29 tox.ini
View
1  setup.cfg
@@ -7,7 +7,6 @@ tag_svn_revision = 0
match=^test
where=pyramid_jinja2
nocapture=1
-with-coverage=1
cover-package=pyramid_jinja2
cover-erase=1
View
32 tox.ini
@@ -1,43 +1,17 @@
[tox]
envlist =
- py25,py26,py27,py32,jython,pypy,cover
+ py26,py27,py32,py33,pypy,cover
[testenv]
commands =
+ python setup.py dev
python setup.py test -q
-deps =
- WebTest
-
-#2.5-based systems require older versions
-
-[testenv:py25]
-deps =
- https://github.com/Pylons/webob/zipball/1.1-branch
- https://github.com/Pylons/pyramid/zipball/1.2-branch
- zope.schema<4.0.0
- WebTest
-
-[testenv:jython]
-commands =
- jython setup.py test -q
-deps =
- https://github.com/Pylons/webob/zipball/1.1-branch
- https://github.com/Pylons/pyramid/zipball/1.2-branch
- zope.schema<4.0.0
- WebTest
[testenv:cover]
basepython =
python2.6
commands =
+ python setup.py dev
python setup.py nosetests --with-xunit --with-xcoverage
deps =
- WebTest
- nose
- coverage==3.4
nosexcover
-
-# we separate coverage into its own testenv because a) "last run wins" wrt
-# cobertura jenkins reporting and b) pypy and jython can't handle any
-# combination of versions of coverage and nosexcover that i can find.
-# coverage==3.4 is required by nosexcover.
Please sign in to comment.
Something went wrong with that request. Please try again.